#include <libraries/asl.h>
#include <clib/exec_protos.h>
#include <clib/asl_protos.h>
#include <stdio.h>

struct Library             *AslBase;
struct ScreenModeRequester *ModeRequest;

int main(void)
{ if(AslBase = OpenLibrary("asl.library",38))
  { if(ModeRequest = AllocAslRequest(ASL_ScreenModeRequest,NULL))
    {
      if(AslRequestTags(ModeRequest,ASLSM_DoDepth,TRUE,TAG_DONE))
      {
        printf("Bildschirmmodus = 0x%08x\n",
                ModeRequest -> sm_DisplayID);

        printf("Tiefe           = %d\n",
                ModeRequest -> sm_DisplayDepth);
      }
      else
        printf("Es wurde kein Bildschirmmodus gewhlt.\n");
      FreeAslRequest(ModeRequest);
    }
    CloseLibrary(AslBase);
  }
  else
    printf("Bentigt wird die asl.library der Workbench v2.1\n");

  return(0);
}
